Module | Chef::Mixin::ShellOut
In: | lib/chef/mixin/shell_out.rb

### Methods

run_command_compatible_options shell_out shell_out!

### Constants

DEPRECATED_OPTIONS | = | [ [:command_log_level, :log_level], [:command_log_prepend, :log_tag] ]

### Public Instance methods

run_command_compatible_options(command_args)

CHEF-3090: Deprecate command_log_level and command_log_prepend Patterned after github.com/opscode/chef/commit/e1509990b559984b43e428d4d801c394e970f432

shell_out(*command_args)
shell_out!(*command_args)

[Validate]